﻿#Disable Warning IDE0079 ' Remove unnecessary suppression
#Disable Warning IDE1006 ' Naming Styles
#Disable Warning IDE0017 ' Simplify object initialization
#Disable Warning IDE0044 ' Add readonly modifier
#Disable Warning IDE0054 ' Use compound assignment
#Disable Warning IDE0059 ' Unnescessary assignment of a value to
#Disable Warning IDE0060 ' Remove unused parameter 
#Disable Warning IDE0140 ' Object creation can be simplified  

Option Strict Off
Option Explicit On
Option Compare Text

Imports System.Drawing
Imports Wisej.Web

Public Class ctlTest

    Private Const m_UnitName = "ctlTest"

    Private m_Index As Integer = 0

    Public Sub New()
        InitializeComponent()
    End Sub

    Public Sub Ready(argIndex As Integer)

        Try
            m_Index = argIndex

            With TextBox1
                .Text = "HELLO" & "-" & argIndex
            End With

        Catch ex As Exception
            ErrMsg(System.Reflection.MethodBase.GetCurrentMethod.Name(), m_UnitName)
        End Try
    End Sub

    Public ReadOnly Property Index As Integer
        Get
            Return m_Index
        End Get
    End Property

    Public Sub m_Resize()

        Dim d As Integer = 4

        With Button1
            .Left = d
            .Top = d
            .Width = 60
            .Height = 60
        End With

        With TextBox1
            .Left = Button1.Right + d
            .Top = Button1.Top
            .Width = Me.Width - .Left - 4
            .Height = Button1.Height
        End With

        With Me
            .Height = Button1.Bottom + d
        End With
    End Sub
End Class
