#Disable Warning IDE0079 ' Remove unnecessary suppression
#Disable Warning IDE1006 ' Naming Styles
#Disable Warning IDE0017 ' Simplify object initialization
#Disable Warning IDE0044 ' Add readonly modifier
#Disable Warning IDE0054 ' Use compound assignment
#Disable Warning IDE0059 ' Unnescessary assignment of a value to
#Disable Warning IDE0060 ' Remove unused parameter
#Disable Warning IDE0051 ' Private member is unused

Option Strict Off
Option Explicit On
Option Compare Text

Imports Wisej.Web

Module mdlError

    Private Const m_UnitName As String = "mdlError"

    Public Sub ErrMsg(argFunctionName As String,
                      argModuleName As String,
                      Optional argWarn As Boolean = False,
                      Optional argExtendedInfo As String = "")

        Dim m_Message As String = "Error " & Err.Number & " (" & Err.Description & ")" & " in " & argFunctionName & " of " & argModuleName

        Debug.Print(m_Message)

    End Sub
End Module
