#Disable Warning IDE0079 ' Remove unnecessary suppression
#Disable Warning IDE1006 ' Naming Styles
#Disable Warning IDE0017 ' Simplify object initialization
#Disable Warning IDE0044 ' Add readonly modifier
#Disable Warning IDE0054 ' Use compound assignment
#Disable Warning IDE0059 ' Unnescessary assignment of a value to
#Disable Warning IDE0060 ' Remove unused parameter

Option Strict Off
Option Explicit On
Option Compare Text

Public Module mdlIDE

    Private Const m_UnitName As String = "mdlIDE"

    Public Function IsIDE() As Boolean
        ' Assume we aren't running from the IDE
        IsIDE = False

        If System.Diagnostics.Debugger.IsAttached Then
            ' Since there is a debugger attached,
            ' assume we are running from the IDE
            'comment out next statement so as to not know if in IDE
            IsIDE = True
        End If
    End Function
End Module
